net.sourceforge.pmd.renderers

## Class RendererFactory

- java.lang.Object
- - net.sourceforge.pmd.renderers.RendererFactory

-     public class RendererFactory
      extends Object

  This class handles the creation of Renderers.
  See Also:
    `Renderer`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,Class<? extends Renderer>>` | `REPORT_FORMAT_TO_RENDERER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RendererFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Renderer` | `createRenderer(String reportFormat, Properties properties)` Construct an instance of a Renderer based on report format name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPORT_FORMAT_TO_RENDERER

          public static final Map<String,Class<? extends Renderer>> REPORT_FORMAT_TO_RENDERER

  - ### Constructor Detail

    - #### RendererFactory

          public RendererFactory()

  - ### Method Detail

    - #### createRenderer

          public static Renderer createRenderer(String reportFormat,
                                Properties properties)

      Construct an instance of a Renderer based on report format name.
      Parameters:
        `reportFormat` - The report format name.
        `properties` - Initialization properties for the corresponding Renderer.
      Returns:
        A Renderer instance.

Copyright © 2002-2013 InfoEther. All Rights Reserved.